---
wsId: 
title: elegro Exchange - Bitcoin and crypto exchange
altTitle: 
authors:
- leo
users: 500
appId: cryptoex.elegro.io
appCountry: 
released: 2019-06-26
updated: 2021-04-29
version: 1.0.4
stars: 
ratings: 
reviews: 
size: 11M
website: https://personal.elegro.eu/exchange
repository: 
issue: 
icon: cryptoex.elegro.io.png
bugbounty: 
meta: stale
verdict: fewusers
date: 2022-04-25
signer: 
reviewArchive: 
twitter: 
social: 
redirect_from:
- /cryptoex.elegro.io/
- /posts/cryptoex.elegro.io/

---

This page was created by a script from the **appId** "cryptoex.elegro.io" and public
information found
[here](https://play.google.com/store/apps/details?id=cryptoex.elegro.io).

Probably an engineer will soon have a deeper look at this app.

So far we are not even sure it is a wallet ... Please check back later.
